org.apache.catalina.tribes.util

## Class ExecutorFactory

- java.lang.Object
- - org.apache.catalina.tribes.util.ExecutorFactory

-     public class ExecutorFactory
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutorFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.concurrent.ExecutorService` | `newThreadPool(int minThreads, int maxThreads, long maxIdleTime, java.util.concurrent.TimeUnit unit)`
    `static java.util.concurrent.ExecutorService` | `newThreadPool(int minThreads, int maxThreads, long maxIdleTime, java.util.concurrent.TimeUnit unit, java.util.concurrent.ThreadFactory threadFactory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutorFactory

          public ExecutorFactory()

  - ### Method Detail

    - #### newThreadPool

          public static java.util.concurrent.ExecutorService newThreadPool(int minThreads,
                                                           int maxThreads,
                                                           long maxIdleTime,
                                                           java.util.concurrent.TimeUnit unit)

    - #### newThreadPool

          public static java.util.concurrent.ExecutorService newThreadPool(int minThreads,
                                                           int maxThreads,
                                                           long maxIdleTime,
                                                           java.util.concurrent.TimeUnit unit,
                                                           java.util.concurrent.ThreadFactory threadFactory)

Copyright © 2000-2015 Apache Software Foundation. All Rights Reserved.